#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=gazli4.29_base.ps
projection=-JM16.0c+
region=-R63.0/64.2/39.9/40.7
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map gazli4.29' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    40.368    63.774
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    40.345    63.780
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    40.149    64.101
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    40.348    63.700
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    40.377    63.736
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    40.337    63.752
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    40.320    63.956
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    40.367    63.489
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    40.370    63.325
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    40.334    63.389
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    40.303    63.614
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    40.299    63.404
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    40.367    63.581
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    40.392    63.743
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    40.398    63.766
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    40.511    63.397
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    40.388    63.713
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    40.278    63.842
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    40.388    63.713
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    40.450    63.473
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    40.402    63.804
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    40.402    63.671
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    40.303    63.713
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    40.411    63.655
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    40.361    63.674
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    40.342    63.612
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    40.294    63.825
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    40.340    63.387
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    40.287    63.458
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    40.283    63.370
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    40.322    63.337
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    40.336    63.357
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    40.336    63.343
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    40.240    63.266
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    40.456    63.339
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    40.287    63.275
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    40.365    63.376
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    40.279    63.324
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    40.301    63.451
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    40.346    63.381
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    40.321    63.304
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    40.242    63.261
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    40.264    63.266
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    39.995    63.569
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    40.470    63.405
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    40.241    63.269
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    40.398    63.162
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    40.337    63.685
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    40.274    63.531
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    40.232    63.155
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    40.234    63.165
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    40.257    63.247
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    40.389    63.403
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    40.307    63.355
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    40.243    63.176
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    40.206    63.109
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    40.226    63.135
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    40.242    63.215
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    40.395    63.559
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    40.210    63.225
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    40.426    63.295
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    40.414    63.632
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    40.214    63.205
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    40.249    63.146
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    40.334    63.291
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    40.436    63.251
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    40.536    64.125
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    40.525    64.107
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    40.524    64.110
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.414    63.779
    40.414    63.778
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.314    63.721
    40.368    63.774
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.414    63.778
    40.368    63.774
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.391    63.785
    40.391    63.784
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.301    63.685
    40.345    63.780
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.391    63.784
    40.345    63.780
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.196    64.107
    40.196    64.106
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.239    64.054
    40.149    64.101
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.196    64.106
    40.149    64.101
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.395    63.706
    40.395    63.704
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.391    63.634
    40.348    63.700
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.395    63.704
    40.348    63.700
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.424    63.742
    40.423    63.741
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.455    63.777
    40.377    63.736
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.423    63.741
    40.377    63.736
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.384    63.758
    40.384    63.757
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.420    63.616
    40.337    63.752
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.384    63.757
    40.337    63.752
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.367    63.962
    40.366    63.960
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.321    63.949
    40.320    63.956
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.366    63.960
    40.320    63.956
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.414    63.496
    40.413    63.494
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.352    63.449
    40.367    63.489
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.413    63.494
    40.367    63.489
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.416    63.331
    40.416    63.329
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.386    63.192
    40.370    63.325
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.416    63.329
    40.370    63.325
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.381    63.395
    40.380    63.394
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.187    63.356
    40.334    63.389
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.380    63.394
    40.334    63.389
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.351    63.620
    40.349    63.618
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.288    63.578
    40.303    63.614
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.349    63.618
    40.303    63.614
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.346    63.410
    40.346    63.408
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.270    63.410
    40.299    63.404
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.346    63.408
    40.299    63.404
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.413    63.587
    40.413    63.586
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.359    63.592
    40.367    63.581
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.413    63.586
    40.367    63.581
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.439    63.749
    40.439    63.747
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.410    63.755
    40.392    63.743
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.439    63.747
    40.392    63.743
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.444    63.771
    40.444    63.770
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.353    63.650
    40.398    63.766
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.444    63.770
    40.398    63.766
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.558    63.402
    40.557    63.401
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.465    63.329
    40.511    63.397
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.557    63.401
    40.511    63.397
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.435    63.718
    40.434    63.717
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.398    63.749
    40.388    63.713
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.434    63.717
    40.388    63.713
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.325    63.847
    40.324    63.846
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.275    63.791
    40.278    63.842
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.324    63.846
    40.278    63.842
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.435    63.718
    40.435    63.717
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.346    63.706
    40.388    63.713
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.435    63.717
    40.388    63.713
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.497    63.477
    40.496    63.477
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.458    63.471
    40.450    63.473
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.496    63.477
    40.450    63.473
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.448    63.809
    40.449    63.808
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.340    63.695
    40.402    63.804
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.449    63.808
    40.402    63.804
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.448    63.677
    40.448    63.675
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.395    63.660
    40.402    63.671
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.448    63.675
    40.402    63.671
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.350    63.718
    40.349    63.717
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.253    63.680
    40.303    63.713
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.349    63.717
    40.303    63.713
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.458    63.661
    40.458    63.660
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.372    63.681
    40.411    63.655
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.458    63.660
    40.411    63.655
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.407    63.680
    40.407    63.679
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.387    63.733
    40.361    63.674
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.407    63.679
    40.361    63.674
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.389    63.617
    40.388    63.616
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.418    63.574
    40.342    63.612
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.388    63.616
    40.342    63.612
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.340    63.831
    40.340    63.829
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.322    63.726
    40.294    63.825
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.340    63.829
    40.294    63.825
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.386    63.392
    40.386    63.391
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.348    63.361
    40.340    63.387
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.386    63.391
    40.340    63.387
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.334    63.463
    40.333    63.462
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.233    63.362
    40.287    63.458
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.333    63.462
    40.287    63.458
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.330    63.376
    40.329    63.374
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.192    63.357
    40.283    63.370
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.329    63.374
    40.283    63.370
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.369    63.342
    40.368    63.341
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.311    63.221
    40.322    63.337
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.368    63.341
    40.322    63.337
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.383    63.363
    40.382    63.362
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.366    63.279
    40.336    63.357
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.382    63.362
    40.336    63.357
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.383    63.348
    40.383    63.347
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.301    63.207
    40.336    63.343
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.383    63.347
    40.336    63.343
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.287    63.271
    40.286    63.270
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.280    63.305
    40.240    63.266
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.286    63.270
    40.240    63.266
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.503    63.344
    40.503    63.343
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.491    63.338
    40.456    63.339
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.503    63.343
    40.456    63.339
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.334    63.280
    40.334    63.279
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.402    63.152
    40.287    63.275
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.334    63.279
    40.287    63.275
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.411    63.381
    40.411    63.380
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.397    63.323
    40.365    63.376
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.411    63.380
    40.365    63.376
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.326    63.330
    40.325    63.329
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.285    63.278
    40.279    63.324
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.325    63.329
    40.279    63.324
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.348    63.456
    40.347    63.455
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.237    63.416
    40.301    63.451
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.347    63.455
    40.301    63.451
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.393    63.386
    40.393    63.385
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.422    63.354
    40.346    63.381
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.393    63.385
    40.346    63.381
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.368    63.309
    40.368    63.308
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.323    63.309
    40.321    63.304
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.368    63.308
    40.321    63.304
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.288    63.266
    40.288    63.265
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.356    63.231
    40.242    63.261
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.288    63.265
    40.242    63.261
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.310    63.272
    40.310    63.271
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.298    63.258
    40.264    63.266
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.310    63.271
    40.264    63.266
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.041    63.575
    40.041    63.574
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.126    63.474
    39.995    63.569
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.041    63.574
    39.995    63.569
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.516    63.411
    40.516    63.409
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.402    63.385
    40.470    63.405
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.516    63.409
    40.470    63.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.287    63.275
    40.287    63.273
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.281    63.298
    40.241    63.269
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.287    63.273
    40.241    63.269
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.445    63.168
    40.445    63.166
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.387    63.099
    40.398    63.162
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.445    63.166
    40.398    63.162
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.385    63.690
    40.383    63.689
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.368    63.670
    40.337    63.685
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.383    63.689
    40.337    63.685
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.321    63.536
    40.321    63.535
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.285    63.589
    40.274    63.531
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.321    63.535
    40.274    63.531
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.279    63.160
    40.278    63.159
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.215    63.156
    40.232    63.155
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.278    63.159
    40.232    63.155
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.281    63.171
    40.281    63.169
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.234    63.232
    40.234    63.165
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.281    63.169
    40.234    63.165
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.304    63.253
    40.303    63.252
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.187    63.275
    40.257    63.247
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.303    63.252
    40.257    63.247
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.437    63.408
    40.436    63.407
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.360    63.381
    40.389    63.403
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.436    63.407
    40.389    63.403
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.354    63.361
    40.353    63.359
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.352    63.320
    40.307    63.355
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.353    63.359
    40.307    63.355
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.289    63.181
    40.290    63.180
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.206    63.210
    40.243    63.176
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.290    63.180
    40.243    63.176
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.253    63.115
    40.253    63.113
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.207    63.110
    40.206    63.109
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.253    63.113
    40.206    63.109
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.273    63.140
    40.273    63.139
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.195    63.143
    40.226    63.135
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.273    63.139
    40.226    63.135
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.288    63.221
    40.288    63.220
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.219    63.151
    40.242    63.215
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.288    63.220
    40.242    63.215
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.442    63.564
    40.442    63.564
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.497    63.586
    40.395    63.559
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.442    63.564
    40.395    63.559
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.258    63.230
    40.257    63.229
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.520    63.295
    40.210    63.225
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.257    63.229
    40.210    63.225
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.472    63.299
    40.473    63.300
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.708    63.336
    40.426    63.295
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.473    63.300
    40.426    63.295
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.461    63.637
    40.461    63.637
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.645    63.689
    40.414    63.632
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.461    63.637
    40.414    63.632
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.260    63.209
    40.261    63.209
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.338    63.098
    40.214    63.205
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.261    63.209
    40.214    63.205
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.294    63.151
    40.295    63.150
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.451    63.046
    40.249    63.146
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.295    63.150
    40.249    63.146
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.386    63.293
    40.381    63.295
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.285    62.843
    40.334    63.291
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.381    63.295
    40.334    63.291
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.482    63.255
    40.482    63.255
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.506    63.085
    40.436    63.251
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.482    63.255
    40.436    63.251
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.581    64.129
    40.583    64.129
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.595    64.064
    40.536    64.125
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.583    64.129
    40.536    64.125
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.567    64.107
    40.571    64.111
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.520    64.080
    40.525    64.107
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.571    64.111
    40.525    64.107
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.571    64.115
    40.570    64.114
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.550    64.083
    40.524    64.110
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    40.570    64.114
    40.524    64.110
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    40.206    63.109     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    40.206    63.109   -69.000     1.840     2.720
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    40.368    63.774   -66.522     1.287     1.880
    40.345    63.780    35.864     4.016     6.170
    40.149    64.101   -74.617     3.211     4.106
    40.348    63.700    83.497     4.722     6.647
    40.377    63.736    86.593     3.130     4.384
    40.337    63.752    82.637     2.950     4.194
    40.320    63.956    88.722     3.237     4.049
    40.367    63.489   -72.206     1.562     2.496
    40.370    63.325    29.734     3.035     5.142
    40.334    63.389   -88.294     3.449     4.399
    40.303    63.614   -64.006     1.816     4.746
    40.299    63.404   -72.433     1.807     2.466
    40.367    63.581   -69.494     1.515     2.440
    40.392    63.743   -73.003     1.769     2.286
    40.398    63.766   -65.067     1.619     3.261
    40.511    63.397   -70.254     1.969     3.278
    40.388    63.713    70.181     3.335     4.667
    40.278    63.842    77.316     2.797     3.859
    40.388    63.713   -77.828     1.507     2.106
    40.450    63.473    20.164     4.118     6.623
    40.402    63.804   -85.259     1.473     2.895
    40.402    63.671   -70.635     1.285     2.026
    40.303    63.713    83.182     1.879     6.713
    40.411    63.655    86.996     3.505     4.592
    40.361    63.674    87.856     1.657     3.868
    40.342    63.612   -89.499     1.307     2.563
    40.294    63.825    87.072     2.283     4.090
    40.340    63.387   -73.028     0.903     1.520
    40.287    63.458   -59.790     1.719     4.262
    40.283    63.370   -65.681     2.216     5.596
    40.322    63.337   -58.997     2.857     6.574
    40.336    63.357    85.270     2.801     3.334
    40.336    63.343    76.089     1.776     2.686
    40.240    63.266   -76.476     1.293     2.154
    40.456    63.339    60.034     2.032     2.852
    40.287    63.275   -81.865     2.683     3.681
    40.365    63.376   -80.822     2.393     3.566
    40.279    63.324   -67.607     2.549     3.576
    40.301    63.451   -70.334     3.148     4.781
    40.346    63.381    82.296     1.605     2.965
    40.321    63.304   -78.601     1.491     2.373
    40.242    63.261   -73.617     2.392     3.526
    40.264    63.266   -71.958     1.317     2.278
    39.995    63.569   -73.569     3.654     6.054
    40.470    63.405   -72.467     1.594     3.229
    40.241    63.269    83.884     2.692     4.598
    40.398    63.162   -76.585     1.448     2.576
    40.337    63.685   -77.608     1.299     2.319
    40.274    63.531   -38.736     6.964     7.679
    40.232    63.155   -68.154     1.667     3.062
    40.234    63.165   -65.263     1.575     3.041
    40.257    63.247   -71.581     2.410     4.835
    40.389    63.403   -85.364     1.427     3.060
    40.307    63.355    86.020     2.455     4.471
    40.243    63.176   -81.661     1.477     3.262
    40.206    63.109   -68.711     2.795     6.020
    40.226    63.135   -76.970     1.425     2.529
    40.242    63.215   -76.534     1.400     2.849
    40.395    63.559   -61.975     2.198     3.723
    40.210    63.225   -80.455     3.137     5.430
    40.426    63.295   -61.017     3.294     5.437
    40.414    63.632   -73.699     2.025     4.216
    40.214    63.205   -69.003     1.452     2.686
    40.249    63.146   -87.964     2.070     4.524
    40.334    63.291    74.336     2.551     4.641
    40.436    63.251   -63.989     2.457     4.156
    40.536    64.125   -69.425     1.825     3.436
    40.525    64.107    73.985     3.710     5.664
    40.524    64.110   -79.155     1.885     3.355
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    40.368    63.774     0.300
    40.367    63.489     0.300
    40.340    63.387     0.300
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    39.948    63.079   -68.746     3.346     6.606
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    39.948    63.102   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    39.948    63.079     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    39.948    63.079     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    39.904    63.079   5 km
END
