#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=gazli4.29_dcal.ps
projection=-JM16.0c+
region=-R60.6/66.6/38.1/42.5
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration gazli4.29' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.242    63.055
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.167    63.161
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.231    63.178
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.287    63.179
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.267    63.235
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.369    63.095
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.188    63.326
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.323    63.244
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.369    63.167
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.260    63.408
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.315    63.382
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.458    63.121
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.335    63.510
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.335    63.510
    40.206    63.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.740    64.346
    40.249    63.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.740    64.346
    40.249    63.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.334    63.291
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.334    63.291
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.850    63.340
    40.334    63.291
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.850    63.340
    40.334    63.291
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.850    63.340
    40.436    63.251
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.850    63.340
    40.436    63.251
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.436    63.251
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.436    63.251
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.536    64.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.536    64.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.554    65.679
    40.536    64.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.554    65.679
    40.536    64.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.750    64.640
    40.536    64.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.750    64.640
    40.536    64.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.525    64.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.525    64.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.850    63.340
    40.525    64.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.554    65.679
    40.525    64.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.554    65.679
    40.525    64.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.750    64.640
    40.525    64.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.750    64.640
    40.525    64.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.850    63.340
    40.524    64.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.524    64.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.129    63.447
    40.524    64.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.554    65.679
    40.524    64.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.554    65.679
    40.524    64.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.750    64.640
    40.524    64.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.750    64.640
    40.524    64.110
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    40.242    63.055     0.300
    40.167    63.161     0.300
    40.231    63.178     0.300
    40.287    63.179     0.300
    40.267    63.235     0.300
    40.369    63.095     0.300
    40.188    63.326     0.300
    40.323    63.244     0.300
    40.369    63.167     0.300
    40.260    63.408     0.300
    40.315    63.382     0.300
    40.458    63.121     0.300
    40.335    63.510     0.300
    39.740    64.346     0.300
    40.129    63.447     0.300
    40.850    63.340     0.300
    40.554    65.679     0.300
    41.750    64.640     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.368    63.774     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.345    63.780     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.149    64.101     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.348    63.700     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.377    63.736     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.337    63.752     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.320    63.956     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.367    63.489     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.370    63.325     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.334    63.389     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.303    63.614     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.299    63.404     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.367    63.581     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.392    63.743     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.398    63.766     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.511    63.397     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.388    63.713     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.278    63.842     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.388    63.713     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.450    63.473     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.402    63.804     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.402    63.671     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.303    63.713     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.411    63.655     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.361    63.674     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.342    63.612     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.294    63.825     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.340    63.387     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.287    63.458     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.283    63.370     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.322    63.337     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.336    63.357     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.336    63.343     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.240    63.266     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.456    63.339     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.287    63.275     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.365    63.376     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.279    63.324     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.301    63.451     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.346    63.381     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.321    63.304     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.242    63.261     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.264    63.266     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.995    63.569     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.470    63.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.241    63.269     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.398    63.162     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.337    63.685     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.274    63.531     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.232    63.155     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.234    63.165     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.257    63.247     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.389    63.403     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.307    63.355     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.243    63.176     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.206    63.109     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.226    63.135     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.242    63.215     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.395    63.559     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.210    63.225     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.426    63.295     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.414    63.632     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.214    63.205     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.249    63.146     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.334    63.291     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.436    63.251     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.536    64.125     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.525    64.107     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.524    64.110     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    40.379    63.500     0.000   222.000   222.000
    40.379    63.500     0.000   444.000   444.000
END
