#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=gazli4.29_epa_1.ps
projection=-JM16.0c+
region=-R43.3/83.9/24.9/55.7
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn gazli4.29' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/etopo2.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    40.425    63.496     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.673    66.990     0.017
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.558    68.775     0.318
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.329    69.286    -0.026
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.312    59.605     0.059
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.308    59.472    -0.018
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.000    70.317     0.140
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.900    69.780     0.141
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.028    56.270    -0.083
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.755    72.360     0.106
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.483    71.533     0.182
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.143    58.642     0.050
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.433    54.942    -0.083
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.833    74.617     0.037
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.150    71.417     0.408
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.937    71.434     0.426
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.433    76.000    -0.122
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.752    51.389     0.499
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.147    73.750     0.563
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.483    78.400     0.603
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.638    48.639    -0.286
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.758    49.383    -0.455
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.961    47.505    -0.464
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.628    46.310    -0.710
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.500    46.333    -0.364
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.068    46.327     0.103
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.637    52.520     0.687
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.717    44.800    -0.339
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.387    47.133     0.486
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.767    43.850     0.034
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.734    43.503    -0.232
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    50.408    80.250    -0.336
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    56.827    60.637    -0.321
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.005    71.548     0.735
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.233    77.225     0.020
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.323    78.056     0.064
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.683    77.217    -0.211
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.950    58.350    -0.035
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.541    69.043     0.537
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.188    66.950     0.867
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.963    59.193     0.305
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.650    73.252     0.337
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.170    44.470    -0.144
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.372    49.818    -0.022
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.550    74.333     0.747
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.962    76.821    -0.251
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.948    58.108    -0.306
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.308    59.472    -0.036
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.703    50.609     0.507
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    56.429    58.562    -0.555
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.249    77.223    -0.059
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.416    50.689     0.205
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    44.033    43.058    -0.516
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.780    68.830     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.917    69.017    -0.121
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.650    69.150    -0.020
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.400    69.350     0.073
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.717    69.717     0.099
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.220    71.220     0.391
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.983    71.667     0.008
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.367    73.933     0.431
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.750    48.860    -0.080
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.410    43.493    -0.050
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.500    68.233     0.291
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.480    68.970     0.306
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.383    71.783    -0.072
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.205    45.415     0.005
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.694    44.793    -0.319
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.000    44.370    -0.032
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.824    71.909     0.418
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.517    75.973    -0.003
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.980    71.424     0.520
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.300    70.807     0.315
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.794    71.743     0.301
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.744    70.203     0.710
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.658    73.264     0.367
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.272    76.947     0.245
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.921    72.672    -0.019
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.530    69.480    -0.199
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.267    68.133    -0.445
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.480    69.820     0.051
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.663    50.898     0.443
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.320    45.750     0.102
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.382    43.148     0.043
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.755    42.813     0.047
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.590    43.452     0.212
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.554    65.679     0.119
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.517    66.881    -0.234
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.120    67.820    -0.394
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    53.058    70.283    -0.417
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.662    73.777     0.082
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.921    75.597    -0.110
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.150    44.741     0.163
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    50.715    78.620    -0.618
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.794    82.290    -0.332
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.955    42.686    -0.642
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.103    70.511    -0.258
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.103    70.511    -0.228
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.131    73.694     0.210
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.228    74.513     0.081
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.638    74.494     0.154
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.267    74.500    -0.082
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.656    74.948     0.176
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    49.256    59.943    -0.516
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.078    75.250     0.181
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    52.951    69.004    -0.152
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    52.723    70.980    -0.441
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    53.025    70.388    -0.095
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    53.025    70.388    -0.431
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.794    82.290    -0.297
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    50.435    58.016    -0.314
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    50.435    58.016    -0.309
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.246    76.242     0.567
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    50.623    78.530    -0.662
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.942    58.385    -0.123
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.930    58.117    -0.171
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.930    58.117    -0.233
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.147    70.031    -0.201
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.387    62.244     0.033
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.892    71.331     0.106
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.810    74.630     0.074
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.999    74.751    -0.086
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    49.256    59.943    -0.559
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.490    75.940     0.168
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.163    77.048     0.064
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.710    48.779    -0.411
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.480    47.730    -0.294
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.209    47.198    -0.245
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.773    47.085    -0.051
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.327    79.485     0.322
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.646    46.322    -0.118
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.203    45.796     0.096
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.808    81.977    -0.435
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.729    42.897    -0.640
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.657    69.158     0.113
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.058    70.818    -0.080
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.956    42.695    -0.394
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    48.244    72.338    -0.234
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.750    64.640     0.154
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.118    67.741    -0.266
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.550    70.010     0.212
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.452    74.630    -0.304
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.893    76.339    -0.266
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.729    77.805     0.194
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    49.982    72.678    -0.643
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.466    78.684    -0.037
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    39.673    66.990   SAM  
    38.558    68.775   DSH  
    41.329    69.286   TAS  
    36.312    59.605   MUI  
    36.308    59.472   MHI  
    39.000    70.317   GAR  
    37.900    69.780   KUL  
    39.028    56.270   KAT  
    40.755    72.360   ANR  
    37.483    71.533   KHO  
    34.143    58.642   KHI  
    36.433    54.942   SHD  
    42.833    74.617   FRU  
    34.150    71.417   WRS  
    33.937    71.434   PSH  
    41.433    76.000   NRN  
    35.752    51.389   TEH  
    33.147    73.750   MNL  
    42.483    78.400   PRZ  
    40.638    48.639   SHE  
    36.758    49.383   SRI  
    42.961    47.505   MAK  
    40.628    46.310   KRV  
    39.500    46.333   GRS  
    38.068    46.327   TAB  
    29.637    52.520   SHI  
    41.717    44.800   TIF  
    34.387    47.133   KER  
    40.767    43.850   LEN  
    41.734    43.503   BKR  
    50.408    80.250   SEM  
    56.827    60.637   SVE  
    34.005    71.548   PES  
    43.233    77.225   AAB  
    30.323    78.056   DDI  
    28.683    77.217   NDI  
    37.950    58.350   ASH  
    34.541    69.043   KBL  
    30.188    66.950   QUE  
    32.963    59.193   TGI  
    33.650    73.252   NIL  
    40.170    44.470   ERE  
    40.372    49.818   BAK  
    31.550    74.333   LAH  
    29.962    76.821   KKR  
    37.948    58.108   VAN  
    36.308    59.472   MAIO 
    35.703    50.609   IR7  
    56.429    58.562   ARU  
    43.249    77.223   TLG  
    35.416    50.689   IR1  
    44.033    43.058   PYA  
    38.780    68.830   DZE  
    39.917    69.017   URT  
    38.650    69.150   CGT  
    38.400    69.350   LNA  
    38.717    69.717   OBG  
    39.220    71.220   DZT  
    40.983    71.667   NAM  
    38.367    73.933   MUR  
    38.750    48.860   LNK  
    41.410    43.493   AKH  
    38.500    68.233   RGR  
    38.480    68.970   KRU  
    40.383    71.783   FRG  
    39.205    45.415   NAK  
    41.694    44.793   MTA  
    41.000    44.370   STE  
    33.824    71.909   CEP  
    39.517    75.973   KSH  
    32.980    71.424   CPA  
    32.300    70.807   SBDP 
    32.794    71.743   THW  
    31.744    70.203   DRP  
    33.658    73.264   CHCP 
    43.272    76.947   AAA  
    31.921    72.672   SARP 
    38.530    69.480   KLD  
    37.267    68.133   SHTS 
    38.480    69.820   BZN  
    35.663    50.898   IR2  
    43.320    45.750   GRO  
    36.382    43.148   MSL  
    41.755    42.813   ABS  
    42.590    43.452   ONI  
    40.554    65.679   NUT  
    39.517    66.881   AGL  
    40.120    67.820   DZI  
    53.058    70.283   BRVK 
    42.662    73.777   EKS2 
    42.921    75.597   TKM2 
    40.150    44.741   GNI  
    50.715    78.620   KURK 
    46.794    82.290   MKAR 
    43.955    42.686   KIV  
    43.103    70.511   KK31 
    43.103    70.511   KKAR 
    42.131    73.694   AML  
    42.228    74.513   UCH  
    42.638    74.494   AAK  
    43.267    74.500   USP  
    42.656    74.948   KBK  
    49.256    59.943   AB31 
    42.078    75.250   KZA  
    52.951    69.004   ZRNK 
    52.723    70.980   VOSK 
    53.025    70.388   BVA0 
    53.025    70.388   BVAR 
    46.794    82.290   MK31 
    50.435    58.016   AKTK 
    50.435    58.016   AKTO 
    42.246    76.242   ULHL 
    50.623    78.530   KURBB
    37.942    58.385   ASHT 
    37.930    58.117   GEYT 
    37.930    58.117   GYA0B
    42.147    70.031   IUG  
    34.387    62.244   HRA  
    42.892    71.331   DZA  
    42.810    74.630   FRU1 
    42.999    74.751   CHMS 
    49.256    59.943   ABKAR
    42.490    75.940   BOOM 
    43.163    77.048   MDOK 
    38.710    48.779   LKRN 
    41.480    47.730   AKT  
    41.209    47.198   SEKA 
    40.773    47.085   MNGR 
    43.327    79.485   PDGK 
    40.646    46.322   GANJ 
    43.203    45.796   GROC 
    46.808    81.977   MAKZ 
    43.729    42.897   KBZ  
    38.657    69.158   CHGR 
    40.058    70.818   BTK  
    43.956    42.695   KVAR 
    48.244    72.338   OTUK 
    41.750    64.640   TMD  
    40.118    67.741   KRSA 
    41.550    70.010   CHMG 
    43.452    74.630   SGDS 
    43.893    76.339   KUU  
    41.729    77.805   TARG 
    49.982    72.678   BRZS 
    43.466    78.684   KPKS 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    29.095    45.074   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
    27.145    46.469    -0.500
    27.145    48.464    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
    27.145    50.174     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
    27.145    52.169     0.250
    27.145    54.164     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
    28.150    45.070   Station Residuals (sec.)
    25.645    45.569   -2
    25.645    47.669   -1
    25.645    49.919   0
    25.645    51.344   +1
    25.645    53.369   +2
END
