#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=gazli4.29_tt4_near_source.ps
projection=-JX18/12
region=-R0/1.5/-10/10
gmt psbasemap $region $projection -Bxa0.1f0.1+l'Epicentral Distance (deg)' -Bya5f1g5+l'Travel Time Residual (s)' -BWeSn+t'Near-Source gazli4.29' -K > $psfile
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
-10.000    1.500
10.000    1.500
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthick,red -K -O << END >> $psfile
     0.264     0.055     0.200
     0.038     0.056     0.200
     0.065     0.058     0.200
     0.122     0.096     0.200
     0.673     0.114     0.200
     0.211     0.162     0.200
     0.443     0.167     0.200
     0.370     0.156     0.200
     0.248     0.169     0.200
     0.276     0.235     0.200
     0.243     0.235     0.200
     0.455     0.252     0.200
     0.196     0.333     0.200
     0.057     1.053     0.200
     0.765     0.237     0.200
    -0.901     0.516     0.200
    -1.630     0.419     0.200
     0.802     0.341     0.200
    -0.112     0.659     0.200
     0.711     0.641     0.200
    -0.797     0.667     0.200
     0.412     1.199     0.200
     0.507     0.642     0.200
     0.278     1.196     0.200
    -1.316     1.289     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthick,blue -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthick,green -K -O << END >> $psfile
     0.669     1.184     0.200
     0.479     1.273     0.200
     0.753     1.289     0.200
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
     0.485     0.333     0.200
     1.928     0.237     0.200
    -1.465     0.516     0.200
    -2.276     0.419     0.200
     2.124     0.341     0.200
     1.218     0.659     0.200
    -0.353     1.273     0.200
     1.273     0.641     0.200
    -0.852     0.670     0.200
     2.052     0.642     0.200
    -1.554     1.289     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
     0.839     1.053     0.200
    -0.092     1.184     0.200
    -0.962     1.199     0.200
    -1.117     1.289     0.200
    -1.078     1.196     0.200
END
# Average Pg residual
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
 0.10    0.000
 0.10    1.500
END
# Average Pn residual
gmt psxy -: -R $projection -Wthicker,green -K -O << END >> $psfile
 0.63    0.000
 0.63    1.500
END
# Average Sg residual
gmt psxy -: -R $projection -Wthin,red,- -K -O << END >> $psfile
 0.23    0.0
 0.23    1.5
END
# Average Sn residual
gmt psxy -: -R $projection -Wthin,green,- -K -O << END >> $psfile
-0.48    0.0
-0.48    1.5
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -O << END >> $psfile
     9.000     0.025   Residuals for crustal phases, average over (0-1.5)
     8.000     0.050   Pg = red x; average =   0.1 (solid red line)
     6.000     0.050   Pn = green x; average =   0.6 (solid green line)
    -7.500     0.050   Sg = red circles; average =   0.2 (dashed red line)
    -9.500     0.050   Sn = green circles; average =  -0.5 (dashed green line)
END
